/preview/reports/top-products
curl --request POST \
--url https://api.criteo.com/preview/reports/top-products \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"type": "GenerateTopProductsReport",
"attributes": {
"timezone": "Europe/Paris",
"startDate": "2024-01-01T00:00:00.0000000+00:00",
"endDate": "2024-01-04T00:00:00.0000000+00:00",
"advertiserId": "1234",
"limit": 200,
"rankProductsBy": "Clicks",
"dimensions": [
"CampaignId",
"Campaign",
"AdSetId",
"AdSet",
"ProductId",
"Product",
"ProductUrl",
"Brand",
"Category"
],
"metrics": [
"Clicks",
"Ctr",
"Visits",
"Sales",
"Cost",
"Revenue",
"Displays"
],
"currency": "EUR",
"brands": [
"Brand1",
"Brand2"
],
"categoryIds": [
"6666",
"7777"
],
"campaignIds": [
"9999"
],
"adSetIds": [
"11111",
"22222"
],
"adSetStatus": [
"Active",
"NotRunning"
]
}
}
}
'import requests
url = "https://api.criteo.com/preview/reports/top-products"
payload = { "data": {
"type": "GenerateTopProductsReport",
"attributes": {
"timezone": "Europe/Paris",
"startDate": "2024-01-01T00:00:00.0000000+00:00",
"endDate": "2024-01-04T00:00:00.0000000+00:00",
"advertiserId": "1234",
"limit": 200,
"rankProductsBy": "Clicks",
"dimensions": ["CampaignId", "Campaign", "AdSetId", "AdSet", "ProductId", "Product", "ProductUrl", "Brand", "Category"],
"metrics": ["Clicks", "Ctr", "Visits", "Sales", "Cost", "Revenue", "Displays"],
"currency": "EUR",
"brands": ["Brand1", "Brand2"],
"categoryIds": ["6666", "7777"],
"campaignIds": ["9999"],
"adSetIds": ["11111", "22222"],
"adSetStatus": ["Active", "NotRunning"]
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
type: 'GenerateTopProductsReport',
attributes: {
timezone: 'Europe/Paris',
startDate: '2024-01-01T00:00:00.0000000+00:00',
endDate: '2024-01-04T00:00:00.0000000+00:00',
advertiserId: '1234',
limit: 200,
rankProductsBy: 'Clicks',
dimensions: [
'CampaignId',
'Campaign',
'AdSetId',
'AdSet',
'ProductId',
'Product',
'ProductUrl',
'Brand',
'Category'
],
metrics: ['Clicks', 'Ctr', 'Visits', 'Sales', 'Cost', 'Revenue', 'Displays'],
currency: 'EUR',
brands: ['Brand1', 'Brand2'],
categoryIds: ['6666', '7777'],
campaignIds: ['9999'],
adSetIds: ['11111', '22222'],
adSetStatus: ['Active', 'NotRunning']
}
}
})
};
fetch('https://api.criteo.com/preview/reports/top-products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"attributes": {
"rows": [
{}
]
},
"type": "<string>"
}
],
"errors": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>"
}
],
"warnings": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>"
}
]
}/preview/reports/top-products
With the topProducts endpoint, you can analyse the performances for each publisher, by top displays, top clicks or top sales.
This endpoint supports data retrieval for up to one year in the past.
POST
/
preview
/
reports
/
top-products
/preview/reports/top-products
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/jsonapplication/xmltext/xmlapplication/*+xml
A top-level object that encapsulates a Criteo API request for a single value object.
A value resource exposed by the API.
Show child attributes
Show child attributes
Response
Success
A top-level object that encapsulates a Criteo API response for several value objects.
Was this page helpful?
⌘I